Subject: Re: bug#42042: AUCTeX View command omits hyphens

From: Arash Esbati <[email-masked]>
Date: Wed, 06 Mar 2024 10:43:12 +0100

Tassilo Horn <[email-masked]> writes:

> Hi Tommi,
>
>> I'm trying to use the forward and backward search feature of AUCTeX
>> using Synctex and Okular.  The search feature seems to work, at least
>> into the editor-to-viewer direction.  However, I always need to
>> manually add hyphens into the file name that the prompt suggests so
>> that file names that include white space are not interpreted as
>> multiple input files.  I would prefer if the View command would add
>> the hyphens automatically, so that I would not need to insert them by
>> hand every time.
>
> I just tested using the current Git master and got as view command
> suggestion
>
>   okular --unique Test\ mit\ Leerzeichen.pdf#src:5"/home/horn/tmp/Test mit Leerzeichen.tex"
>
> so the output filename "Test mit Leerzeichen.pdf" has been properly
> quoted for my shell to interpret.  Essentially, we are basically just
> using the standard Emacs function `shell-quote-argument' which should
> add the right quoting for at least the common shells.
>
> Which operating system and shell are you using?  And what does the
> following evaluate to?
>
>   (shell-quote-argument "Test with spaces.tex") <-- C-x C-e here!
>
> Bye,
> Tassilo
>
> PS: When writing bug reports using M-x TeX-submit-bug-report RET, please
> don't erase the automatically inserted OS/Emacs/config overview.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

No further comments, therefore I'm closing this report.

Best, Arash